%define momorel 3

Summary: library for using arbitrary fonts in OpenGL applications
Name: ftgl
Version: 2.07
Release: %{momorel}m
Group: Development/Libraries
License: see "license.txt"
URL: http://homepages.paradise.net.nz/henryj/code/index.html#FTGL
#%%NoSource 0  http://homepages.paradise.net.nz/henryj/code/FTGL.tar.gz 62d363867d4906a428640e661c97f74f
Source0: FTGL.tar.gz
Patch0: http://uniside.s37.xrea.com/file/ftgl207-blender.patch
Patch1: ftgl-2.07-destdir.patch
Requires: freetype2 XFree86 glut
BuildRequires: freetype2-devel XFree86-devel glut-devel doxygen
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
FTGL is a free, open source library to enable developers to use arbitrary 
fonts in their OpenGL (www.opengl.org) applications.
Unlike other OpenGL font libraries FTGL uses standard font file formats so 
doesn't need a preprocessing step to convert the high quality font data into 
a lesser quality, proprietary format.
FTGL uses the Freetype (www.freetype.org) font library to open and 'decode' 
the fonts. It then takes that output and stores it in a format most efficient 
for OpenGL rendering. 

%prep
#'
%setup -q -n FTGL
%patch0 -p1 -b .orig
%patch1 -p1 -b .orig

%build
pushd unix
%configure
make
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd unix
make DESTDIR=%{buildroot} install
popd

# docs
pushd docs
tar zxf html.tar.gz
popd

# remove
rm -rf %{buildroot}%{_docdir}/ftgl

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING.txt README.txt HISTORY.txt  TODO.txt license.txt
%doc docs/FTGL.html docs/FTGL_1_3.gif docs/images
%doc docs/html
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*

%changelog
* Tue Jun  1 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.07-3m)
- no nosrc
- - with latest 2.0.9, a build of blender failes

* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (2.07-2m)
- revised spec for enabling rpm 4.2.

* Wed Jan 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.07-1m)
- first import to Momonga
